import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'wow_text.dart';

class WowAppBar extends AppBar {
  WowAppBar({
    Key key,
    String title,
    TextStyle titleTextStyle,
    TextStyle toolbarTextStyle,
    Color backgroundColor,
    Color color,
    double elevation,
    bool centerTitle,
    Widget titleWidget,
    Widget leading,
    bool hasLeading = true,
    double leadingWidth,
    Function onTapBack,
    List<Widget> actions,
    PreferredSizeWidget bottom,
    Widget flexibleSpace,
    double toolbarHeight,
  }) : super(
          key: key,
          backgroundColor: backgroundColor,
          leadingWidth: leadingWidth,
          leading: hasLeading
              ? (leading ??
                  IconButton(
                    icon: Icon(
                      Icons.arrow_back_ios_rounded,
                      color: color,
                      size: 24.0,
                    ),
                    onPressed: () {
                      onTapBack?.call() ?? Get.back();
                    },
                  ))
              : null,
          elevation: elevation,
          centerTitle: centerTitle,
          title: titleWidget ?? WowText(title, style: titleTextStyle),
          titleTextStyle: titleTextStyle,
          toolbarTextStyle: toolbarTextStyle,
          toolbarHeight: toolbarHeight,
          actions: actions ?? [],
          bottom: bottom,
          flexibleSpace: flexibleSpace,
          automaticallyImplyLeading: false,
        );
}
